[REQ] powerful unhide
-
It would be possible to create a plugin that would take all the groups, components, faces and edges to hide? Because sometimes some components are hidden inside other that are not hide.
And to discover the secret hiding place takes a long time.
-
m=Sketchup.active_model;m.start_operation('Unhide!');m.entities.each{|e|e.hidden=nil};m.definitions.each{|d|d.entities.each{|e|e.hidden=nil}};m.commit_operation
copy+paste this one-liner into the Ruby Console + <enter>, and ALL hidden objects - both in the model and inside any components or groups [to any level of nesting] - will be made 'un-hidden'.
So use with care as it will unhide everything - but it should be one step undoable... -
It would be possible to do so only for components and groups that are within other components and groups?
Thank you for your help.
-
This new version of the code does not unhide anything that in the model's entities - it does unhide everything that's within any groups/components entities context [at any level of nesting]...
m=Sketchup.active_model;m.start_operation('Unhide!');m.definitions.each{|d|d.entities.each{|e|e.hidden=nil}};m.commit_operation
-
@tig said:
m=Sketchup.active_model;m.start_operation('Unhide!');m.entities.each{|e|e.hidden=nil};m.definitions.each{|d|d.entities.each{|e|e.hidden=nil}};m.commit_operation
copy+paste this one-liner into the Ruby Console + <enter>, and ALL hidden objects - both in the model and inside any components or groups [to any level of nesting] - will be made 'un-hidden'.
So use with care as it will unhide everything - but it should be one step undoable...
TIG
This is very useful for when I import Archicad models with lots of nested groups, thanks.
Is there anyway to make a plugin that I can right click select, plugin dropdown or in tools menu? as I'll never find this script again when I need it.
-
Tell me what you want to call it and I'll PM you a new 'tool'...
OR alternatively, to avoid 'clutter'...
Copy+paste the line of code into a new file in the Plugins folder called 'unhideall
' [i.e. with NO file type suffix at all] or some other snappy name
Then when you need it, in the Ruby Console type
load 'unhideall'
and it's done!
-
I'll forget what I called it. (I'm gettin' old)
I like ' unhideall.rb ' if possible, right click on component/group would be awesome if possible.
-
I am already old!
Here is the tool [I've made it semi-public!]TIG (c) 2011
unhideall.rb
Usage:
Tools menu >> Unhide All ...***
Unhides everything in the selection or the model AND definitions if
there's no selection!
Dialog to warn of consequences...
One step undoable.
Donations:
via PayPal.com to info @ revitrev.org
Version:
1.0 20110922 First issue.Put into the Plugins folder and restart Sketchup... ***I don't want to clog up the context-menu as gray-outs are never welcome -
I am going to call it UNHIDEALLPREMANENTLY.RB
Note: This will unhide geometry in LOCKED groups as well.
-
This tool you did are really interesting. But I was wrong about the reason why I ask for this plugin. The problem was that when I render a scene in V-ray, everything was dark. I rendering from far away and I see that I had a huge object involving the whole scene. I thought it was a hidden object that this tool could make me find out. But this was not the problem. The problem, as I discovered later, was on "scale definition."
The plugin for V-ray for some reason did not translate correctly the object as I seen in the scene, but according to the scale of the original object.
Your plugin could also automatically define all the objects as "scale definition" as we see in the scene???I tested this script in the the scene I'm working on, and could not see any results, because the scene I'm working on is very large and took too long time, so I had to kill the sketchup. Another thing I think will be great is the possibility of being able to choose what kind of object it takes from the "hidden world" and brings to our reality.
Thank you TIG.
Advertisement